# ACE_DEV Class Reference

Defines the member functions for the base class of the ACE_DEV abstraction. More...

`#include <DEV.h>`

Inheritance diagram for ACE_DEV:

[legend]
Collaboration diagram for ACE_DEV:

[legend]
List of all members.

## Public Member Functions

int | close (void)
| Close down the DEVICE.
void | dump (void) const
| Dump the state of an object.
int | disable (int signum) const

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Protected Member Functions

| ACE_DEV (void)
| Ensure that this class is an abstract base class.

## Detailed Description

Defines the member functions for the base class of the ACE_DEV abstraction.

## Constructor & Destructor Documentation

ACE_DEV::ACE_DEV | ( | void |  | ) | `[protected]`

| Ensure that this class is an abstract base class.

## Member Function Documentation

int ACE_DEV::close | ( | void |  | ) |

| Close down the DEVICE.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE int ACE_DEV::disable | ( | int | signum | ) | const

| Disable signal signum This is here to prevent Win32 from disabling SPIPE using socket calls Reimplemented from ACE_IO_SAP.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL void ACE_DEV::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_IO_SAP. Reimplemented in ACE_DEV_IO.

## Member Data Documentation

ACE_DEV::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_IO_SAP. Reimplemented in ACE_DEV_IO.

The documentation for this class was generated from the following files:

- DEV.h
- DEV.cpp
- DEV.inl